<?php
require_once __DIR__ . '/../../connect.php';
$driverID = filterRequest("driverID");

$sql = "SELECT
    driverID,
    COALESCE(SUM(amount), 0) AS total_amount,
    COALESCE(SUM(amount), 0) + COALESCE(
        (
        SELECT
            SUM(`amount`)
        FROM
            `paymentsDriverPoints`
        WHERE
            `payment_method` = 'fromBudgetToPoints' AND `driverID` = '$driverID'
    ),
    0
    ) AS diff
FROM
    payments
WHERE
    isGiven = 'waiting'
    AND `payment_method` IN ('visa-in', 'visa', 'visaRide', 'TransferFrom', 'payout', 'TransferTo')
    AND `driverID` = '$driverID'";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    jsonSuccess($row);
    
}
    else{
    // Print a failure message
    jsonError($message = "No wallet record found");
}
?>